## packagekit 0.3.14

=== lib/packagekit-qt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.8)

project(packagekit-qt)

set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )

find_package(Qt4 REQUIRED)
add_definitions(${QT_DEFINITIONS})

add_subdirectory(src)
add_subdirectory(modules)

if(BUILD_TESTS)
	add_subdirectory(test)
endif(BUILD_TESTS)

=== lib/packagekit-qt/modules/CMakeLists.txt ===
 
## install the cmake files

file( GLOB cmakeFiles FindQPackageKit.cmake )
set(module_install_dir ${CMAKE_ROOT}/Modules )

install( FILES ${cmakeFiles} 
         DESTINATION ${module_install_dir}  )

=== lib/packagekit-qt/src/CMakeLists.txt ===
project(packagekit-qt)


include(FindPkgConfig)
pkg_check_modules(POLKIT polkit-dbus)

if(POLKIT_FOUND)
	set(USE_SECURITY_POLKIT 1)
else(POLKIT_FOUND)
	set(USE_SECURITY_POLKIT 0)
endif(POLKIT_FOUND)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(
	${QT_INCLUDES}
	${POLKIT_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/src
)

set( lib_SRCS
	client.cpp
	clientprivate.cpp
	daemonproxy.cpp
	transaction.cpp
	transactionprivate.cpp
	transactionproxy.cpp
	package.cpp
	polkitclient.cpp
	util.cpp
)


QT4_AUTOMOC(${lib_SRCS})

add_library(packagekit-qt SHARED ${lib_SRCS})
set_target_properties( packagekit-qt PROPERTIES VERSION 2.0 SOVERSION 2 )

target_link_libraries(packagekit-qt
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  polkit-dbus
  dbus-1
)

install(TARGETS
	packagekit-qt
	DESTINATION
	lib${LIB_SUFFIX}
)

install(FILES
	client.h
	transaction.h
	package.h
	QPackageKit
	DESTINATION
	include/PackageKit/packagekit-qt)

=== lib/packagekit-qt/test/CMakeLists.txt ===
project(pktest)

include(FindPkgConfig)
pkg_check_modules(POLKIT polkit-dbus)

include_directories(
	${QT_INCLUDES}
	${POLKIT_INCLUDE_DIRS}
	${packagekit-qt_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/test
)

link_directories(
	${packagekit-qt_BUILD_DIR}/src
)

set( test_SRCS
	daemontest.cpp
	transactiontest.cpp
	main.cpp
)

QT4_AUTOMOC(${test_SRCS})

add_executable(pktest ${test_SRCS})

target_link_libraries(pktest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  polkit-dbus
  dbus-1
  cppunit
  packagekit-qt
)

## packagekit 0.6.11

=== debian/changelog ===
packagekit (0.6.11-2ubuntu3) natty; urgency=low

  * Build-depend on xulrunner-dev or firefox-dev, which makes it
    possible to compile PK without xulrunner as the
    latter should go away. (LP: #740815)

 -- Matthias Klumpp <matthias@nlinux.org>  Thu, 24 Mar 2011 14:47:04 +0100

packagekit (0.6.11-2ubuntu2) natty; urgency=low

  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 14:57:59 -0700

packagekit (0.6.11-2ubuntu1) natty; urgency=low

  * Fix typo in Qt4 bindings (LP: #734939)

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 16 Mar 2011 16:07:51 +0100

packagekit (0.6.11-2) unstable; urgency=low

  * Select right browser on Debian/Ubuntu
  * Reformatted control file
  * Fix crash if Section() of a package is NULL
  * Fix falure of some postinst scripts when running using APTcc (LP: #680328)

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 25 Jan 2011 15:54:54 +0100

packagekit (0.6.11-1) unstable; urgency=low

  * New upstream release
     - Add a new backend role for updating the whole distro: UpgradeSystem
        (Richard Hughes)
     - Allow backend to encode the package origin in the package-id
        (Richard Hughes)
     - Added PK_ERROR_ENUM_CANNOT_FETCH_SOURCES when refreshing cache
        fails (Daniel Nicoletti)
     - Add recommendation repo:foo' to be able to return all packages in a
        certain repository (Richard Hughes)
     - Change the spec to recommend 'category:web-development' rather than
        '@web-development' (Richard Hughes)
     - Spawn KDE Debconf frontend if KDE is running (Matthias Klumpp)
     - aptcc: Added GStreamer search (Daniel Nicoletti)
     - aptcc: Fix regex not to match "()(64bit)" as we don't support
        multiarch anyway (Daniel Nicoletti)
     - aptcc: Port away from PK_BACKEND_OPTIONS (Daniel Nicoletti)
     - aptcc: Set the env proxy vars so that Apt::Acquire is not
        overwritten, fixes LP: #633008 (Daniel Nicoletti)
     - aptcc: Use the new PK_ERROR_ENUM_CANNOT_GET_LOCK (Daniel Nicoletti)
  * Added libnspr4-dev build-dependency
  * Switch to dh_python2
  * Allow every user to set proxy
  * Refreshed patches
  * Build-Depend on python >= 2.6.6-3+squeeze4
  * Switched back to compat level 7
  * Removed patches which were applied upstream

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 07 Jan 2011 19:58:26 +0100

packagekit (0.6.10-3) unstable; urgency=low

  [ Matthias Klumpp ]
  * Bumped debhelper version & added Gitignore
  * Changed control file indentation

  [ Julian Andres Klode ]
  * Add support for GLib 2.24; thus upload to unstable
  * Build with -Wl,--as-needed to avoid large dependencies
  * Add myself to uploaders

 -- Julian Andres Klode <jak@debian.org>  Sun, 19 Dec 2010 20:20:42 +0100

packagekit (0.6.10-2) experimental; urgency=low

  * Require privileges to install updates (Closes: #606092)
  * Break old backends and depend on the new ones (Closes: #606133)
  * Adjusted Vcs information to link to our new Git repository
  * Added series file for Ubuntu to apply Ubuntu-specific patches
     (like the vendor patch for example)

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 06 Dec 2010 18:48:47 +0100

packagekit (0.6.10-1) experimental; urgency=low

  * New upstream release
     - This is the first release of PackageKit to support session
       configuration helper support in the GLib and Qt libraries.
     - This allows debconf to work when using PackageKit on Debian.
     - A formal transaction lifecyle is now in place, which allows future
       extensions to hook into the transaction at certain points.
  * Disabled introspection support
    (requires a more recent version of gobject-introspection)
  * APTcc proxy patch from upstream (makes APTcc use APT proxy settings)
  * Upstream patch for some APTcc crashes

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 02 Nov 2010 18:08:34 +0100

packagekit (0.6.8-2) unstable; urgency=low

  * Make dh_makeshlibs ignore non-public libraries. This prevents it from
    including an useless shlibs-controlfile into the packages.
  * Merged some patches from Ubuntu

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 19 Oct 2010 21:05:19 +0200

packagekit (0.6.8-1) unstable; urgency=low

  * Initial release (Closes: #468132)

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 25 Aug 2010 19:40:12 +0200

=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <matthias@nlinux.org>
Uploaders: Julian Andres Klode <jak@debian.org>
Vcs-Git: git://git.debian.org/pkg-packagekit/packagekit.git
Vcs-Browser: http://git.debian.org/?p=pkg-packagekit/packagekit.git
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev (>=20100122.1),
               libtool,
               libpam0g-dev,
               libglib2.0-dev (>= 2.24),
               libdbus-glib-1-dev (>=0.76),
               libnm-glib-dev,
               network-manager-dev,
               libpolkit-gobject-1-dev,
               libpolkit-backend-1-dev,
               gobject-introspection (>=0.6.14),
               libgirepository1.0-dev (>=0.6.14),
               policykit-1,
               libapt-pkg-dev (>=0.7.26),
               libsqlite3-dev,
               python-dev (>= 2.6.6-3+squeeze4),
               python-apt (>=0.7.13.2),
               docbook-utils,
               gtk-doc-tools,
               xmlto,
               xulrunner-dev (>=1.9.1) | firefox-dev,
               libgtk2.0-dev,
               update-manager-core,
               python-software-properties,
               libgstreamer-plugins-base0.10-dev,
               libarchive-dev,
               libcppunit-dev,
               libqt4-dev,
               libxt-dev,
               pm-utils,
               libnspr4-dev
Standards-Version: 3.9.1
XS-Python-Version: current
Homepage: http://www.packagekit.org

Package: packagekit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpackagekit-glib2-14 (= ${binary:Version}),
         packagekit-backend-aptcc (= ${binary:Version})
Breaks: packagekit-backend-aptcc (<< ${binary:Version}),
        packagekit-backend-apt (<< ${binary:Version}),
        packagekit-backend-smart (<< ${binary:Version})
Suggests: packagekit-backend-apt, packagekit-backend-smart
Description: Provides a package management service
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 The main benefits are:
  - unified interface on several distributions
  - fine grained privilleges by using PolicyKit
  - independecy from a running desktop session during the processing

Package: packagekit-bash-completion
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         packagekit (= ${binary:Version})
Description: Offer to install missing programs automatically
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 A simple helper that offers to install missing packages on the command line
 using PackageKit.

Package: packagekit-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-14
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for accessing PackageKit using GLib
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpackagekit-glib2-14 (= ${binary:Version})
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: libpackagekit-qt14
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpackagekit-qt-14 (>= 0.6.8-0)
Replaces: libpackagekit-qt-14
Description: Library for accessing PackageKit using Qt4
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekit-qt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpackagekit-qt14 (= ${binary:Version})
Description: Library for accessing PackageKit using Qt4 (development files)
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for Qt.

Package: python-packagekit
Architecture: all
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-gobject,
         python-dbus
XB-Python-Version: ${python:Versions}
Description: PackageKit Python bindings
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides Python bindings for PackageKit

Package: packagekit-gtk-module
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Install fonts automatically using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer0.10-packagekit
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
         packagekit (= ${binary:Version})
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: browser-plugin-packagekit
Architecture: any
Section: web
Depends: ${misc:Depends}, ${shlibs:Depends}, ${dist:Browser},
         packagekit (= ${binary:Version})
Conflicts: mozilla-packagekit
Replaces: mozilla-packagekit
Description: Plugin to install missing plugins using PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a browser plugin.

Package: packagekit-backend-apt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-packagekit (= ${source:Version}),
         app-install-data,
         python-apt (>=0.7.13.2),
         python-gdbm,
         update-manager-core,
         python-software-properties
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index
Description: Python APT backend for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows to use APT over a Python-based PackageKit backend.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-aptcc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-packagekit (= ${source:Version}),
         app-install-data
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index
Description: C++ APT backend for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows to use APT over a C++-based PackageKit backend to
 target systems with low memory.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-smart
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-packagekit (= ${source:Version}),
         smartpm-core
XB-Python-Version: ${python:Versions}
Description: Smart backend for PackageKit
 PackageKit allows to perform simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows to use the smart package manager.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# Use this variable to set all required PackageKit configure flags
# We set aptcc as default backend and disable gobject-introspection
# (pass --enable-introspection to enable it again)
PK_CONFIGURE_FLAGS = --disable-static \
		--disable-tests \
		--enable-gtk-doc \
		--disable-cron \
		--enable-apt --enable-aptcc --enable-smart \
		--disable-local \
		--with-default-backend=aptcc \
		--enable-browser-plugin \
		--enable-gtk-module \
		--enable-gstreamer-plugin \
		--enable-command-not-found

LDFLAGS += -Wl,--as-needed

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
	SUBSTVARS = -Vdist:Browser="firefox (>> 3.0) | www-browser"
else
	SUBSTVARS = -Vdist:Browser="iceweasel (>> 3.0) | www-browser"
endif

# Define install and build directory
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --parallel --with autotools_dev --with python2

override_dh_auto_configure:
	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)
	
override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# Those files do not need to be installed
	rm -f $(INSTALLDIR)/usr/lib/packagekit-backend/*.la
	rm -f $(INSTALLDIR)/usr/lib/mozilla/plugins/packagekit-plugin.la
	rm -f $(INSTALLDIR)/usr/lib/gtk-?.0/modules/*.la
	rm -f $(INSTALLDIR)/usr/lib/polkit-1/extensions/libpackagekit-action-lookup.la
	rm -f $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
	# And these files should be cleaned to remove dependency_libs.
	for file in $(INSTALLDIR)/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpk-gtk-module -Xlibpackagekit-action-lookup -Xlibpk_ -Xpackagekit-plugin

override_dh_auto_clean:
	dh_auto_clean
	# Restore documentation
	if test -d $(CURDIR)/docs/api.orig; then \
		rm -rf $(CURDIR)/docs/api; \
		mv $(CURDIR)/docs/api.orig $(CURDIR)/docs/api; \
	fi

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

=== debian/watch ===
version=3
http://www.packagekit.org/releases/PackageKit-([\d\.]+)\.tar\.gz

## packagekit 0.6.18

=== debian/changelog ===
packagekit (0.6.18-1) unstable; urgency=low

  * New upstream release: 0.6.18
    - glib: Fix a small memory leak (Garrett Regier)
    - qt: Do not dist the moc files (Richard Hughes)
    - aptcc: Fix the size by emitting installed and download size
        (DanielNicoletti)
    - Fix the browser-plugin build with GTK+ < 2.24 (Frederic Crozat)
    - Make the lsof plugin not lookup hostnames (Richard Hughes)
    - Remove the duplicate 'The software is not from a trusted source'
       (Richard Hughes)
  * Removed patches which have been applied upstream
  * Fix segfault with >= GLib 2.29
  * Remove old, unnecessary *.moc files

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 07 Sep 2011 19:19:53 +0200

packagekit (0.6.17-1) unstable; urgency=low

  * New upstream release: 0.6.17
     - Actually use the value from /etc/login.defs (Richard Hughes)
     - Ignore local packages when calculating the simulate list
        (Richard Hughes)
     - Ignore untrusted packages when calculating the simulate list
        (Richard Hughes)
     - Add an untrusted section header when using console applications
        (Richard Hughes)
  * aptcc: Fix crash when long description blow char buffer,
     remove some mem leaks too
  * aptcc: Fix the size of the packages by emitting installedSize
     when installed and download size when available.

 -- Matthias Klumpp <matthias@tenstral.net>  Sat, 20 Aug 2011 15:12:22 +0200

packagekit (0.6.16-1) unstable; urgency=low

  * New upstream release: 0.6.16
     - glib: Added element-type annotations for each function returning a
        GPtrArray (Alex Eftimie)
     - glib: Ensure packages from the progress handler have the package_id
        assigned (Richard Hughes)
     - aptcc: Better put last fix in pk_backend_initialize
        (Daniel Nicoletti)
     - aptcc: Fix bug that resolved packages were emited as installed when
        updates (Daniel Nicoletti)
     - aptcc: Fix getDetails to actually use the resolved version,
        deb#606135 (Daniel Nicoletti)
     - aptcc: Initial support to conffile handling (Daniel Nicoletti)
     - aptcc: Set env var to disable apt-listbugs closes deb#628835
        (Daniel Nicoletti)
     - Support looking up Plasma services (Kevin Kofler)
     - Do not hardcode G_DISABLE_DEPRECATED as it breaks with GTK+-2 and
        GLib (Richard Hughes)
     - Do not hardcode the UID_MIN as 500. Fixes rh#717110
        (Richard Hughes)
     - Do not try to parse any arguments in command-not-found
        (Richard Hughes)
     - Ensure we save the updates cache for the pre-transaction checks
        (Richard Hughes)
     - Fix a build error in the browser plugin when using old versions of
        gdk (Richard Hughes)
  * Remove patches which were applied upstream
  * Drop dependency on dh_autoreconf
  * Update my mailadress

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 04 Jul 2011 23:00:54 +0200

packagekit (0.6.15-1) unstable; urgency=low

  * New upstream release: 0.6.15
    - gir: More gir annotations (Matthias Klumpp)
    - packagekit-qt2: Remove package caching as we use const Packages now
        (Daniel Nicoletti)
    - aptcc: Emit repos while refreshing cache, and speed up
        searchDetails a bit (Daniel Nicoletti)
    - aptcc: Fix the way we emit repos, now it emits the string more
        human readable (Daniel Nicoletti)
    - Added PK_INFO_ENUM_UNTRUSTED so we can tell which packages are
        trusted (Daniel Nicoletti)
    - When refreshing cache backends should emit RepoDetail as frontends
        will be able to present extra details (Daniel Nicoletti)
    - Do not prevent updating when firefox is running, we don't have all
        the client UI ready yet (Richard Hughes)
    - Only include glib-unix.h if the GLib version is >= 2.29.4
        (Richard Hughes)
  * Set env var in aptcc to disable apt-listbugs (Closes: #628835)
  * Fix aptcc getDetails method (Closes: #606135)
  * Enabled build with deprecated symbols
  * Don't ship .la files

 -- Matthias Klumpp <matthias@nlinux.org>  Tue, 14 Jun 2011 14:06:41 +0200

packagekit (0.6.14-2) unstable; urgency=low

  * Removed XS-Python-Version line (Closes: #626104)
  * Adjusted VCS links
  * Fixed typo in package description
  * Updated libpackagekit-glib2-dev dependencies

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 01 Jun 2011 18:10:04 +0200

packagekit (0.6.14-1) unstable; urgency=low

  * Upload to unstable
  * Make PK compile on non-linux archs
    (Thanks to Pino Toscano) (Closes: #623125)
  * Imported Upstream version 0.6.14
     - glib: Add GIR annotations to make PK GIR usable
             (Matthias Klumpp)
     - qt2: Add Qt2 library (Daniel Nicoletti)
     - qt: Fix typo in SearchGroups (Dimitar Popov)
     - aptcc: Fix configure.ac to avoid pk-qt linking
             against apt-pkg (Daniel Nicoletti)
     - browser-plugin: Remove deprecated symbols
             (Matthias Klumpp) (LP: #766046)
     - Fix precedence when assigning strings to a *GStrv
             (Jonny Lamb) (Closes: #622605)
     - Create transaction db properly if it's not exist
             (Zhang Qiang)
     - Do not allow backends to output duplicate older
       packages when searching with newest (Richard Hughes)
     - Use the new threadsafe signal handling support in GLib
       (Richard Hughes)
  * Replace qt package with qt2 package
  * Fix some spelling errors in description
  * Remove PackageKit PolKit extension (has been removed upstream too)
  * Build GTK+3 module

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 04 May 2011 14:23:05 +0200

packagekit (0.6.12-2) experimental; urgency=low

  * Fixed changelog
  * Enabled GObject introspection
  * Build-depend on xulrunner or firefox
  * Apply best practices for dpkg source format 3.0 (quilt)
  * Add debug-info package
  * Wipe out dependency_libs from .la files (Closes: #619544)

 -- Matthias Klumpp <matthias@nlinux.org>  Fri, 25 Mar 2011 11:17:32 +0100

packagekit (0.6.12-1) unstable; urgency=low



=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
Uploaders: Julian Andres Klode <jak@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/packagekit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/packagekit.git
Build-Depends: debhelper (>= 7.0.50~),
               docbook-utils,
               gir1.2-glib-2.0 (>= 0.10.1),
               gobject-introspection (>= 0.10.1),
               gtk-doc-tools,
               libapt-pkg-dev (>= 0.7.26),
               libarchive-dev,
               libcppunit-dev,
               libdbus-glib-1-dev (>= 0.76),
               libgirepository1.0-dev (>= 0.10.1),
               libglib2.0-dev (>= 2.24),
               libgstreamer-plugins-base0.10-dev,
               libgtk-3-dev (>= 3.0.8),
               libgtk2.0-dev (>= 2.24),
               libnm-glib-dev [linux-any],
               libnspr4-dev,
               libpam0g-dev,
               libpolkit-backend-1-dev,
               libpolkit-gobject-1-dev,
               libqt4-dev,
               libsqlite3-dev,
               libtool,
               libxt-dev,
               network-manager-dev [linux-any],
               pm-utils [linux-any],
               policykit-1,
               python-apt (>= 0.7.13.2),
               python-dev (>= 2.6.6-3+squeeze4),
               python-software-properties,
               update-manager-core,
               xmlto,
               xulrunner-dev | firefox-dev
Standards-Version: 3.9.2
Homepage: http://www.packagekit.org

Package: packagekit
Architecture: any
Depends: libpackagekit-glib2-14 (= ${binary:Version}),
         packagekit-backend-aptcc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: packagekit-backend-apt (<< ${binary:Version}),
        packagekit-backend-aptcc (<< ${binary:Version}),
        packagekit-backend-smart (<< ${binary:Version})
Suggests: packagekit-backend-apt, packagekit-backend-smart
Description: Provides a package management service
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 The main benefits are:
  - unified interface on several distributions
  - fine grained privileges by using PolicyKit
  - independecy from a running desktop session during the processing

Package: packagekit-bash-completion
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Offer to install missing programs automatically
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 A simple helper that offers to install missing packages on the command line
 using PackageKit.

Package: packagekit-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-14
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for accessing PackageKit using GLib
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: libdbus-1-dev,
         libglib2.0-dev (>= 2.24),
         libpackagekit-glib2-14 (= ${binary:Version}),
         libsqlite3-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: gir1.2-packagekitglib-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: GObject introspection data for the PackageKit GLib library
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains introspection data for the PackageKit
 GLib interface library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpackagekit-qt2-2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpackagekit-qt-14 (>= 0.6.8-0)
Replaces: libpackagekit-qt-14, libpackagekit-qt14
Description: Library for accessing PackageKit using Qt4
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a library to access PackageKit using Qt.

Package: libpackagekit-qt2-dev
Section: libdevel
Architecture: any
Depends: libpackagekit-qt2-2 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
Description: Library for accessing PackageKit using Qt4 (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files for Qt.

Package: python-packagekit
Architecture: all
Section: python
Depends: python-dbus,
         python-gobject,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: PackageKit Python bindings
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides Python bindings for PackageKit

Package: packagekit-gtk3-module
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Install fonts automatically using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer0.10-packagekit
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: browser-plugin-packagekit
Architecture: any
Section: web
Depends: packagekit (= ${binary:Version}),
         ${dist:Browser},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: mozilla-packagekit
Replaces: mozilla-packagekit
Description: Plugin to install missing plugins using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a browser plugin.

Package: packagekit-backend-apt
Architecture: any
Depends: app-install-data,
         python-apt (>=0.7.13.2),
         python-gdbm,
         python-packagekit (= ${source:Version}),
         python-software-properties,
         update-manager-core,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index
Description: Python APT backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using APT over a Python-based PackageKit backend.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-aptcc
Architecture: any
Depends: app-install-data,
         python-packagekit (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Recommends: apt-xapian-index
Description: C++ APT backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using APT over a C++-based PackageKit backend to
 target systems with low memory.
 APT is the default package management tool of Debian and Ubuntu.

Package: packagekit-backend-smart
Architecture: any
Depends: python-packagekit (= ${source:Version}),
         smartpm-core,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
XB-Python-Version: ${python:Versions}
Description: Smart backend for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface  e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package allows using the smart package manager.

Package: packagekit-dbg
Architecture: any
Section: debug
Priority: extra
Depends: packagekit (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for PackageKit
 This package includes debugging symbols for PackageKit
 libraries, backends and command-line tools.
 PackageKit is a package management abstraction layer which
 allows performing simple software management tasks over a DBus
 interface
 .
 Most people will not need this package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# Use this variable to set the PackageKit configure flags
# We set aptcc as default backend
PK_CONFIGURE_FLAGS = --disable-static \
		--disable-tests \
		--enable-gtk-doc \
		--disable-cron \
		--enable-introspection \
		--enable-apt --enable-aptcc --enable-smart \
		--disable-local \
		--with-default-backend=aptcc \
		--enable-browser-plugin \
		--enable-gtk-module \
		--enable-gstreamer-plugin \
		--enable-command-not-found

ifneq ($(DEB_HOST_ARCH_OS), linux)
	PK_CONFIGURE_FLAGS += --disable-networkmanager \
		--disable-connman
endif

LDFLAGS += -Wl,--as-needed

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes), yes)
	SUBSTVARS = -Vdist:Browser="firefox (>> 3.0) | www-browser"
else
	SUBSTVARS = -Vdist:Browser="iceweasel (>> 3.0) | www-browser"
endif

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --parallel --with python2

extrainstallfiles-stamp:
	cat debian/packagekit.install | grep -v '/pm-utils/' > debian/packagekit.install.kfreebsd
	cat debian/packagekit.install | grep -v '/pm-utils/' > debian/packagekit.install.hurd
	touch $@

override_dh_auto_configure:
	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
	# Remove Qt .moc-files, which break build
	rm $(CURDIR)/lib/packagekit-qt/src/*.moc
	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# These files do not need to be installed
	rm -f  $(INSTALLDIR)/usr/lib/packagekit-backend/*.la
	rm -f  $(INSTALLDIR)/usr/lib/mozilla/plugins/packagekit-plugin.la
	rm -f  $(INSTALLDIR)/usr/lib/gtk-?.0/modules/*.la
	rm -f  $(INSTALLDIR)/usr/lib/*.la
	rm -rf $(INSTALLDIR)/usr/lib/gtk-2.0
	rm -f  $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
	rm -f  $(INSTALLDIR)/usr/lib/libpackagekit-qt.*
	rm -rf $(INSTALLDIR)/usr/include/PackageKit/packagekit-qt
	rm -f  $(INSTALLDIR)/usr/lib/pkgconfig/packagekit-qt.pc

override_dh_install: extrainstallfiles-stamp
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_ -Xpackagekit-plugin
	dh_girepository
	# Remove Qt .moc-files, which break build
	rm $(CURDIR)/lib/packagekit-qt/src/*.moc

override_dh_auto_clean:
	dh_auto_clean
	# Remove the autogenerated .install files for non-linux architectures
	rm -f debian/packagekit.install.kfreebsd
	rm -f debian/packagekit.install.hurd
	# Restore documentation
	if test -d $(CURDIR)/docs/api.orig; then \
		rm -rf $(CURDIR)/docs/api; \
		mv $(CURDIR)/docs/api.orig $(CURDIR)/docs/api; \
	fi

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_strip:
	dh_strip --dbg-package=packagekit-dbg
